AutoCAD Inventor :: Circular Pattern With User Parameter Controlling Angle Of Notch
Oct 13, 2013
I am setting up a family of parts that consist of a round disc with a fixed OD and a circular pattern of notches cut into the OD. The notches must go to a certain depth from the center, so those parameters are set. My problem is that I need to control the amount of material left between the notches, along the OD, after the pattern is done. Given the fixed parameters of the major OD, minor OD (3.5" in this case) and number of notches, the only way to control the amount of material between notches is to change the angle. When I set up the sketch to do the notches, I can only get a fully constrained sketch if I assign a specific angle to the notch. I need to be able to set it up so that the angle of the notch varies so the end result is a specifc amount of material left after the circular patter is completed.
In the attached PDF, I show what I have done so far. In this case the OD of the part is 4" and the diameter of the notch at it's closest to the center is 3.5". So basically, I end up with a driven parameter of 0.443. If I assign this value the parameter of d14, I need to make it equal to a ratio of another parameter (let's call it d15) so that d14 = d15*2.. This can only be accomplished by changing the angle.
In my family, the major OD and minor OD remain the same, but the angle must change to retain a specific amount of material between the notches when the number of notches is increased or decreased.
Is there an iLogic rule I can write to control this?
How can I make a circular pattern of a single occurence of a rectangular pattern?
A shaft has a rectangular pattern of holes (along its axis) on its surface. I want to pattern the 4th occurence of this hole pattern as a circular pattern? Can I do it in Autodesk. I can not select the a specific occurance of a patterned feature to pattern it again.
As you see in the template photo (the photo was scanned by Microsoft Security Essentials, healthy) I wanted to extrude my circle, and I made 28 pieces with circular pattern feature; now, do I have to choose all the pieces by one by to be able to choose all?
The sum of the problem: while using the Circular Pattern feature or rectangular pattern feature in Inventor, sometimes I want to extrude (join) or cut the drawings that I made (augmented) with using circular pattern feature, rectangular pattern feature. in this case do I have to choose all the augmented members one by one (for instance I make 42 augmented members), it can take a lot of time.?
I have a small section of hollow tube as an IV part which I need to cut to at one end to produce a tapered effect. Attached is a mark up of what I am trying to achieve with the hollow tube.
Inventor 2013 Product Design Suite Ultimate Windows 7 Professional-64Bit 12GB RAM Intel Xeon W3550 3.07GHz
Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
I am currently trying to model a multi cavity mould tool. The cavities themselves do not follow either a circular or rectangular pattern.I have modelled one of the cavities using a revolve internal to the tool. I have also sketched out on the upper surface centre points where I need the cavities to be.
I was hoping I would be able to copy the cavity feature, select a base point and then use the centres from my second sketch to place the cavities.
I don't seem to be able to find this option. The copy and paste feature will likely work but it is hugely long winded positioning each cavity individually. Any method I might be able to use to model such a part?
I have modelled a disc, which has 6 cylindrical extrusions in a circular pattern on the disc surface. I want to change the number of occurrences (the "placement") to 9 but the "OK" button is disabled. I get the preview od the 9 occurrences, but it will not complete the command.
I created a 12-sided polygon shape in the sketch mode. I created one line, fully constrained it and then used the circular pattern to finish the shape. Why can't I extrude the shape?
I have attached the file. It's a pretty basic shape. I don't understand why it wouldn't work...
I need to know what sketch is associated to either a "Rectangular"or "Circular"array. This is so I can filter out sketches that are not repeated in an array.
Here is my code so far (Circular Array).
Dim oCP As CircularPatternFeature For Each oCP In oDef.Features.CircularPatternFeatures THIS IS THE TROUBLE LINE If sketch = oCP.Parent Then Set oCP = oDef.Features.CircularPatternFeatures.Item(oCP.Name) [code]........
I have a simple test part containing an extruded disk (Sketch1) and 8 holes on a pcd (Sketch2). I only want to array a sketch if it is arrayed.
I want to arrange these outer circles in a corcular pattern at equal distance and at equal angle from each other without using circular patten feature in assembly tab. How do I do that.
The reasomn I dont want to use circular pattern in assembly tab is if I do that then, I cannot change color of each outer circle separatly If I change one color it changes color for all of these whcih i dont want.
I want to have each outer circle of different color.
While using the Circular Pattern feature or rectangular pattern feature in Inventor, sometimes I want to extrude (join) or cut the drawings that I made (augmented) with using circular pattern feature, rectangular pattern feature. in this case do I have to choose all the augmented members one by one (for instance I make 42 augmented members), it can take a lot of time. also after applied any of these features I can't use trim feature, can I ? but sometimes using the trim feature after applying the Circular Pattern feature or rectangular pattern can be necessary.
Looking for sample VBA code to get all referenced documents from an assembly and add a boolean user parameter to each (parts and sub assemblies). I have been trying to modify peices of code I have found on this forum and Mod the Machine, but have had no luck so far.
There may also be standard content center parts in the assembly as well that I would like to somehow identify so I can skip over them.
Most of the time, I delete an user parameter without problem. But, in a part, I got an error for two of them and I don't understand why. I create a new parameter and redirect all dependencies from the old one to the new. (oldParam.Dependencies.Count = 0).
But when I try to delete it, I've got an error. Also, when I try to delete it by the interface, I don't see the Delete option.
Parameters with a text value, How do I add userParameter? In iLogic
Examples. DoubleValue)
Sub Main()
Dim oCompDef As PartComponentDefinition oComDef = ThisApplication.ActiveDocument.ComponentDefinition Dim oParams As Parameters oParams = oComDef.Parameters Dim uParams As UserParameters uParams = oParams.UserParameters strVal= uParams.AddByExpression!("strVal", 0.15, "mm") iLogicVb.UpdateWhenDone = True End Sub
How to create a Circular Pattern of the Solid Object by VBA. I tried it by calculation Polar Transformations but was unsuccessful.
Then Rotated the complete Solid Object which changed original location. Is there any way i can Change the Angle and Mirror instead of Making circular pattern.
I am using a circular pattern to re-position an internal keyway and am wondering if it is possible to supress the original keyway? Right now I have to give it a 'Placement' value of 2 to get the keyway to shift the amount I want, and as such it keeps the original as well as the new (overlapping them). I wish to suppress only the original one leaving new one...
I created a partial sphere with six features on the surface of the sphere. I then applied a circular pattern to each of the siz features. I called the features r1, r2, ..., r6.
r1, r2, r5 and r6 worked as expected. there are 16 features evenly spaced around the surface.
r3 and r4 are different in that the original feature is missing after applying the circular pattern.
each of the six features is as identical as I could get them. I followed the same build seauence for all of them.
each feature is made up of four objects - cut1, cut2, sweep and dimple. I selected the four objects for a row, then applied the circular pattern.
If I delete the circular pattern for r3 or r4, the original feature becomes visible again.
So, why are r3 and r4 behaving differenly than the other four?
I have tried a number of things, including re-drawing feature r3 from scratch with no change in teh results.
The problem: I want a circular pattern for rectangular shaped holes, and I don't want the holes to rotate. The circular pattern doesn't have an option to retain the orientation.
I'm having problems with the parameter menu. When I don't have a user parameter linked to a dimension in the model the parameter disappears out of the parameter menu.
I have a part file ("part1.ipt") that has a user parameter called "Height". When I open this file as a part document, I can modify the "Height" parameter to change the height of the part. This functionality works great:
Set oPartDoc = oApp.Documents.Open(sPartFileName, True) Set oParameters = oPartDoc.ComponentDefinition.Parameters 'change part height to 30 cm oParameters.Item("Height").Expression = 30
Now, I am wanting to add this part to an ASSEMBLY document, then change the parameter to 30, but have been unable to do it. I have this so far:
Dim oAsmCompDef As AssemblyComponentDefinition Set oAsmCompDef = oApp.ActiveDocument.ComponentDefinition Dim oOcc As ComponentOccurrence Set oOcc = oAsmCompDef.Occurrences.Add(sPartFileName, oMatrix)
After I add all the parts, I highlight a part in the assembly pane, I click on FxParameters but I don't see the User Parameters for the part. Are the User Parameters not available when a part is placed into an assembly?
This assembly will have multiple parts added from the same file name, but the "Height" parameter needs to be modified for each occurrence.
my create a circular pattern in an assembly that maintains the orientation of the part being patterned.
This is for foundation plates. There are 3 plates. The plates are square, and have bolt holes in the corners of the plates. Since there are 3 plates and its going around a circle, the angle between the plates is 120 degrees.
Now, Ive been trying this for some time now and what is happening is the firs plate is fine, but then the second and third plate are rotated around their center axis. I would like it to simply remain as inserted and constrained within the assembly.
I have attached a picture to be more clear about what I want and what I'm currently getting.
I am trying to make an iPart of a fitting where I can change the "Body type" and it will change all the parameters associated with that body type through iLogic. Really I am just playing around in iLogic to see if this is something worth learning. Back to the point, I would like to change a multi-value user text parameter through the iPart table but I cannot find the paramter in the parameters tab.
Since it is a user parameter I thought it would be in the "Other" folder but it isn't. I do however have the other multi-value user number parameter in that folder, which makes me think that maybe I can't use the paramter in the iParts table?
INV 2012 SP1 Windows 7 64 Bit ATI FirePro V5800 14.0 GB RAM
I created a sketch that I would like to use in an iFeature. The sketch dimensions are controlled with an ilogic rule referencing a multi value text user parameter, eg the text parameter pull down menu controls the size of the part.
Is there an easy way to get this parameter into an ifeature or derived part?
Macro for writing the sheetmetal Extents width and length to the custom properties. I need to get these values into the part parameters so that they can be used in the BOM.
I can get this to work if I manually create the "SM_Length" user parameter, but how do I make the iLogic CREATE the parameters if they do not already exist? I think it would be something added below the "Catch..." just cant seem to figure out what it needs to be.
'look for custom iproperty and try to set it Try iProperties.Value("Custom", sExtLength)=Round(SheetMetal.FlatExtentsLength, iRoundValue) Parameter("SM_Length")=Round(SheetMetal.FlatExtentsLength,4)
Catch ' assume error means not found and create it customPropertySet.Add(Round(SheetMetal.FlatExtentsLength,iRoundValue), sExtLength) EndTry
I want to use iLogic to create User Parameters with Multi-Value lists filled with info from an excel spreadsheet. What is the code to create a new User Parameter?
i7-2720QM Dell Precision M6600, Win 7 Pro 64-bit, 8GB RAM Autodesk Product Design Suite Ultimate 2013 Autodesk Vault Professional 2013